<?php

$keyword      = isset( $_GET[ 's' ] ) ? esc_html( $_GET[ 's' ] ) : '';
$get_location = isset( $_GET[ 'job_location' ] ) ? esc_html( $_GET[ 'job_location' ] ) : '';
$get_category = isset( $_GET[ 'job_category' ] ) ? esc_html( $_GET[ 'job_category' ] ) : '';
$get_type     = isset( $_GET[ 'job_type' ] ) ? esc_html( $_GET[ 'job_type' ] ) : '';

?>
<div id="modalJobAlertForm" class="modal fade modalJobAlertForm" tabindex="-1"
     role="dialog"
     aria-labelledby="modalJobAlertForm"
     aria-hidden="true">
	<div class="modal-dialog noo-form-job-alert-dialog">

		<div class="modal-content noo-form-job-alert-wrap">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
						aria-hidden="true">&times;</span></button>
				<h4 class="modal-title text-center"><?php echo esc_html__( 'New Job Alert', 'noo' ); ?></h4>
			</div>
			<div class="modal-body">
				<h4><?php echo esc_html__( 'Never miss a chance!', 'noo' ); ?></h4>
				<p><?php echo esc_html__( 'Let us know your job expectations, so we can find you jobs better!', 'noo' ); ?></p>
				<form class="noo-job-alert-form">

					<div class="row">

						<div class="col-sm-6">
							<div class="form-group">
								<label for="job_alert_name"><?php echo esc_html__( 'Alert Name', 'noo' ); ?></label>
								<input type="text" class="form-control" id="job_alert_name" name="job_alert_name"
								       placeholder="<?php echo esc_html__( 'Your alert name', 'noo' ); ?>">
							</div>
							<div class="form-group">
								<label for="job_alert_keywords"><?php echo esc_html__( 'Keywords', 'noo' ); ?></label>
								<input type="text" class="form-control" id="job_alert_keywords"
								       name="job_alert_keywords"
								       value="<?php echo $keyword; ?>"
								       placeholder="<?php echo esc_html__( 'Enter keywords to match jobs', 'noo' ); ?>">
							</div>

							<div class="form-group">
								<label
									for="job_alert_location"><?php echo esc_html__( 'Job Locations', 'noo' ); ?></label>
								<select id="job_alert_location" name="job_alert_location[]" multiple
								        class="form-control form-control-chosen">
									<option value=""></option>
									<?php
									$locations = get_terms( 'job_location', array( 'hide_empty' => 0 ) );

									if ( $locations ):
										?>
										<?php
										foreach ( $locations as $location ) : ?>
											<option
												value="<?php echo esc_attr( $location->term_id ) ?>" <?php if ( ! empty( $get_location ) && $get_location == $location->slug ): ?> selected="selected"<?php endif; ?>><?php echo esc_html( $location->name ) ?></option>
										<?php endforeach; ?>
									<?php endif; ?>
								</select>
							</div>
						</div>
						<div class="col-sm-6">
							<div class="form-group">
								<label for="job_alert_category"><?php _e( 'Job Category', 'noo' ) ?></label>

								<select class="form-control form-control-chosen ignore-valid"
								        name="job_alert_category[]"
								        id="job_alert_category" multiple>
									<option value=""></option>
									<?php
									$categories = get_terms( 'job_category', array( 'hide_empty' => 0 ) );
									if ( $categories ):
										?>
										<?php foreach ( $categories as $category ): ?>
										<option
											value="<?php echo esc_attr( $category->term_id ) ?>" <?php if ( ! empty( $get_category ) && $get_category == $category->slug ): ?> selected="selected"<?php endif; ?>><?php echo esc_html( $category->name ) ?></option>
									<?php endforeach; ?>
									<?php endif; ?>
								</select>
							</div>

							<div class="form-group">
								<label for="job_alert_type"><?php _e( 'Job Type', 'noo' ) ?></label>
								<?php
								$types = get_terms( 'job_type', array( 'hide_empty' => 0 ) );
								if ( $types ):
									?>
									<select class="form-control" name="job_type" id="job_type">
										<option value=""><?php _e( 'Select job type', 'noo' ); ?></option>
										<?php foreach ( $types as $type ): ?>
											<option
												value="<?php echo esc_attr( $type->term_id ) ?>" <?php if ( ! empty( $get_type ) && $get_type == $type->term_id ): ?> selected="selected"<?php endif; ?>><?php echo esc_html( $type->name ) ?></option>
										<?php endforeach; ?>
									</select>
								<?php endif; ?>
							</div>
							<div class="form-group">
								<label for="job_alert_frequency"><?php _e( 'Email Frequency', 'noo' ) ?></label>
								<?php
								$frequency_arr = Noo_Job_Alert::get_frequency();
								?>
								<select class="form-control" name="job_alert_frequency" id="job_alert_frequency">
									<?php foreach ( $frequency_arr as $key => $label ): ?>
										<option value="<?php echo esc_attr( $key ) ?>"><?php echo $label ?></option>
									<?php endforeach; ?>
								</select>
							</div>
						</div>

					</div>

					<input type="hidden" name="action" value="noo_job_alert_popup">
					<input type="hidden" name="security" value="<?php echo wp_create_nonce( 'noo-job-alert-form' ) ?>" />

					<div class="form-group">
						<p class="help-block noo-job-alert-notice"></p>
					</div>

				</form>
			</div>

			<div class="modal-footer">
				<button type="submit"
				        class="btn btn-primary noo-btn-save-job-alert"><?php echo esc_html__( 'Save', 'noo' ); ?></button>
			</div>

		</div>
	</div>
</div>