<?php

global $wp_query;


$total    = $wp_query->found_posts;
$current  = ! empty( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$per_page = $wp_query->query_vars[ 'posts_per_page' ];

$display_type = noo_resume_list_display_type();

$settings_fields = get_theme_mod( 'noo_resume_list_fields', 'title,_job_location,_job_category' );
$settings_fields = ! is_array( $settings_fields ) ? explode( ',', $settings_fields ) : $settings_fields;
$display_fields  = array();
foreach ( $settings_fields as $index => $resume_field ) {
	if ( $resume_field == 'title' ) {
		$field = array( 'name' => 'title', 'label' => __( 'Resume Title', 'noo' ) );
	} else {
		$field = jm_get_resume_field( $resume_field );
	}
	if ( ! empty( $field ) ) {
		$display_fields[] = $field;
	}
}
?>
<?php if ( empty( $_POST[ 'action' ] )): ?>
	<div class="resumes posts-loop resume-<?php echo $paginate; ?>" data-paginate="<?php echo $paginate; ?>">
<?php endif; ?>


	<div class="noo-resume-archive-before">

		<div class="pull-left noo-resume-list-tools">
			<div class="noo-display-type">
				<a class="noo-type-btn <?php echo( $display_type == 'list' ? 'active' : '' ); ?>"
				   href="?display=list"><i class="fa fa-list"></i></a>
				<a class="noo-type-btn <?php echo( $display_type == 'grid' ? 'active' : '' ); ?>"
				   href="?display=grid"><i class="fa fa-th-large"></i></a>
			</div>
		</div>

		<div class="pull-right noo-resume-list-count">
            		<span><?php
			            $first = ( $per_page * $current ) - $per_page + 1;
			            $last  = min( $total, $per_page * $current );

			            printf( _nx( 'Showing the single result', 'Showing %1$d&ndash;%2$d of %3$d resumes', $total, 'with first and last result', 'noo' ), $first, $last, $total );
			            ?></span>
		</div>
	</div>
<?php if ( $wp_query->have_posts() ): ?>
		<ul class="row noo-resume-<?php echo esc_attr( $display_type ) ?>">
			<?php while ( $wp_query->have_posts() ): $wp_query->the_post();
				global $post; ?>
				<?php
				$candidate_avatar   = '';
				$candidate_name     = '';
				if ( ! empty( $post->post_author ) ) :
					$candidate_avatar = noo_get_avatar( $post->post_author, 40 );
					$candidate      = get_user_by( 'id', $post->post_author );
					$candidate_name = $candidate->display_name;
					$candidate_link = esc_url( apply_filters( 'noo_resume_candidate_link', get_the_permalink(), $post->ID, $post->post_author ) );
					?>
					<li class="noo-resume-item <?php echo( 'grid' == $display_type ? 'col-md-6' : 'col-md-12' ) ?> <?php echo ( 'yes' == noo_get_post_meta( $post->ID, '_featured', '' ) ) ? 'featured-resume' : '' ?>">
						<div class="noo-resume-info">
							<div class="item-featured">
								<a href="<?php echo $candidate_link; ?>">
									<?php echo $candidate_avatar; ?>
								</a>
							</div>

							<div class="item-content">
								<h5 class="item-author">
									<a href="<?php echo $candidate_link; ?>"
									   title="<?php echo esc_html( $candidate_name ); ?>">
										<?php echo esc_html( $candidate_name ); ?>
									</a>
								</h5>
								<h4 class="item-title">
									<a href="<?php the_permalink() ?>" title="<?php echo get_the_title(); ?>">
										<?php echo get_the_title(); ?>
									</a>
								</h4>
								<div class="item-meta">
									<?php foreach ( $display_fields as $index => $field ) : ?>
										<?php if ( ! isset( $field[ 'name' ] ) || empty( $field[ 'name' ] ) ) {
											continue;
										} ?>
										<?php if ( $field[ 'name' ] !== 'title' ) : ?>
											<?php  $value = jm_get_resume_field_value( $post->ID, $field ); ?>
											<?php if (empty($value)) continue; ?>
											<span class="<?php echo esc_attr( $field[ 'name' ] ) ?>">
                                                <?php
                                               
                                                if ( ! empty( $value ) ) {
	                                                $html  = array();
	                                                $value = noo_convert_custom_field_value( $field, $value );
	                                                if ( $index <= 1 || count( $display_fields ) <= 3 ) {
		                                                if ( is_array( $value ) ) {
			                                                $value = implode( ', ', $value );
		                                                }
		                                                $html[] = $value;
	                                                } else {
	                                                    $icon=isset($field['icon'])? $field['icon']:'';
	                                                    $icon_class=str_replace("|"," ",$icon);

		                                                $label  = isset( $field[ 'label_translated' ] ) ? $field[ 'label_translated' ] : $field[ 'label' ];
		                                                $html[] = '<span class="resume-' . $field[ 'name' ] . '" style="display: inline-block;">';
		                                                $html[] = '<i class="'.$icon_class.'">';
		                                                $html[] ='</i>';
		                                                $html[] = $label . ': <em>';
		                                                $html[] = is_array( $value ) ? implode( ', ', $value ) : $value;
		                                                $html[] = '</em></span>';
	                                                }

	                                                echo implode( "\n", $html );
                                                }
                                                ?>
                                            </span>
										<?php endif; ?>
									<?php endforeach;
									reset( $display_fields ); ?>
								</div>
							</div>
							<?php if ( 'list' == $display_type ) : ?>
								<div class="show-view-more">
									<a class="btn btn-primary noo-shortlist" href="#"
									   data-resume-id="<?php echo esc_attr( $post->ID ) ?>"
									   data-user-id="<?php echo get_current_user_id() ?>" data-type="text">
										<?php echo noo_shortlist_status( $post->ID, get_current_user_id() ) ?>
									</a>
									<div class="time-post">
										<?php echo sprintf( __( "%s ago", 'noo' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?>
									</div>
								</div>
							<?php else : ?>
								<a class="noo-shortlist" href="#"
								   data-resume-id="<?php echo esc_attr( $post->ID ) ?>"
								   data-user-id="<?php echo get_current_user_id() ?>" data-type="icon">
									<?php echo noo_shortlist_icon( $post->ID, get_current_user_id() ) ?>
								</a>
							<?php endif; ?>
						</div>
					</li>
				<?php endif; ?>
			<?php endwhile; ?>
		</ul>
<?php else: ?>
	<div class="resume posts-loop ">
		<?php
		if ( $no_content == 'text' || empty( $no_content ) ) {
			noo_get_layout( 'no-content' );
		} elseif ( $no_content != 'none' ) {
			echo '<h3>' . $no_content . '</h3>';
		}
		?>
	</div>
<?php endif; ?>


<?php if ( $resume_style == 'style-1' ) : ?>
	<?php if ( $paginate == 'resume_nextajax' ) : ?>
		<?php if ( 1 < $wp_query->max_num_pages ) : ?>
			<?php $paged = isset($_POST['page']) ? absint($_POST['page']) : 1; ?>
			<div class="pagination list-center"
			     data-job-category="<?php echo esc_attr( $job_category ); ?>"
			     data-job-location="<?php echo esc_attr( $job_location ); ?>"
			     data-orderby="<?php echo esc_attr( $orderby ); ?>"
			     data-order="<?php echo esc_attr( $order ); ?>"
			     data-posts-per-page="<?php echo absint( $posts_per_page ) ?>"
			     data-current-page="<?php echo absint( $paged ) ?>"
			     data-max-page="<?php echo absint( $wp_query->max_num_pages ) ?>">
				<a href="#" class="prev page-numbers disabled">
					<i class="fa fa-long-arrow-left"></i>
				</a>

				<a href="#" class="next page-numbers">
					<i class="fa fa-long-arrow-right"></i>
				</a>
			</div>
		<?php endif; ?>
	<?php else : ( $live_search ? noo_pagination( '', $wp_query, $live_search ) : noo_pagination( '', $wp_query ) ); endif; ?>
<?php endif; ?>
<?php if ( empty( $_POST[ 'action' ] )): ?>
	</div>
<?php endif; ?>