<?php
$current_user = wp_get_current_user();
$list_resume_shortlist = get_user_meta( $current_user->ID, 'list_resume_shortlist', true );

if ( empty( $list_resume_shortlist ) || !is_array( $list_resume_shortlist ) ) {
	$list_resume_shortlist = array();
}

$args = array(
	'paged' => -1,
	'post_type' => 'noo_resume',
	'post__in' => array_merge($list_resume_shortlist, array(0)),
	'post_status' => 'publish'
);

$r = new WP_Query($args);
?>
<div class="member-manage">
	<?php if( $r->found_posts ) : ?>
        <h3><?php echo sprintf( _n( "You've received %s shortlist", "You've received %s shortlist", $r->found_posts, 'noo'), $r->found_posts ); ?></h3>
	<?php else : ?>
        <h3><?php echo __("No shortlist found",'noo')?></h3>
	<?php endif; ?>
    <div class="noo-dashboard-table">
        <table class="table noo-datatable" id="noo-table-shortlist">
            <thead>
            <tr>
                <th><?php _e('Job title','noo')?></th>
                <th class="hidden-xs"><?php _e('Description', 'noo'); ?></th>
                <th class="hidden-xs"><?php _e('Location', 'noo'); ?></th>
                <th class="hidden-xs hidden-sm"><?php _e('Post time','noo')?></th>
                <th class="hidden-xs"><?php _e('Action','noo')?></th>
            </tr>
            </thead>
            <tbody>
            <?php if($r->have_posts()) : ?>
                <?php while ($r->have_posts()): $r->the_post(); global $post; ?>
                    <?php
		            $mesage_excerpt = !empty($post->post_content) ? wp_trim_words( $post->post_content, 10 ) : '';
		            $mesage_excerpt = !empty($mesage_excerpt) ? $mesage_excerpt . __('...', 'noo') : '';
                    ?>
                    <tr>
                        <td class="job-name">
                            <a href="<?php echo get_permalink( ) ?>">
                                <?php echo get_the_title() ?>
                            </a>
                        </td>
                        <td class="job-description">
                            <strong class="hidden-xs hidden-sm">
                                <?php echo esc_html($mesage_excerpt); ?>
                            </strong>
                            <a href="<?php the_permalink(); ?>">
                                <em class="text-primary">
                                    <?php echo __('View Detail', 'noo'); ?>
                                </em>
                            </a>
                        </td>
                        <td class="job-location">
                            <i class="fa fa-map-marker"></i>&nbsp
                            <em><?php echo get_the_term_list(get_the_ID(),'job_location','',', ')?></em>
                        </td>
                        <td class="job-date">
	                        <?php
	                        $closing = noo_get_post_meta( $post->ID, '_closing' );
	                        $closing = !is_numeric( $closing ) ? strtotime( $closing ) : $closing;
	                        $closing = !empty( $closing ) ? date_i18n( get_option('date_format'), $closing ) : '';
	                        if( !empty( $closing ) ) :
		                        ?>
                                <span><i class="fa fa-calendar"></i>&nbsp;<em><?php echo $closing; ?></em></span>
	                        <?php else : ?>
                                <span class="text-center"><?php echo __('Equal to expired date', 'noo'); ?></span>
	                        <?php endif; ?>
                        </td>
                        <td class="company-actions">
                            <a class="noo-shortlist" href="#" data-resume-id="<?php echo $post->ID ?>" data-user-id="<?php echo get_current_user_id(); ?>" data-type="text">
                                <i class="fa fa-trash-o" aria-hidden="true"></i>
	                            <?php echo esc_html__( 'Remove', 'noo' ) ?>
                            </a>
                        </td>
                    </tr>
                <?php endwhile;?>
                <?php wp_reset_query(); ?>
            <?php endif;?>
            </tbody>
        </table>
    </div>
</div>